Groovy 1.7.0

## groovy.xml.streamingmarkupsupport
Class BaseMarkupBuilder.Document.OutputSink

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.xml.streamingmarkupsupport.BaseMarkupBuilder.Document.OutputSink

    class BaseMarkupBuilder.Document.OutputSink
    extends GroovyObjectSupport

Constructor Summary
`BaseMarkupBuilder.Document.OutputSink(String name)`

Method Summary
`Object` | `invokeMethod(String name, Object args)`
`Object` | `leftShift(Object item)`
`protected Object` | `leftShift(String command, Object value)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BaseMarkupBuilder.Document.OutputSink

    public BaseMarkupBuilder.Document.OutputSink(String name)

Method Detail

### invokeMethod

    public Object invokeMethod(String name, Object args)

### leftShift

    public Object leftShift(Object item)

### leftShift

    protected Object leftShift(String command, Object value)

Copyright © 2003-2009 The Codehaus. All rights reserved.